#include <iostream>
#include <bits/stdc++.h>
using namespace std;
void sortiraj(int a[],int n)
{
    int b;
    for(int i=0;i<n;++i)
    {
        for(int j=i+1;j<n;++j)
        {
            if(a[i]<a[j])
            {
              b=a[i];
              a[i]=a[j];
              a[j]=b;
            }
        }
    }
}
int main()
{
    ios_base::sync_with_stdio(false);
    int n;
    cin>>n;
    int a[n-1][2];
    for(int i=0;i<n-1;i++)
        for(int j=0;j<2;j++)
        cin>>a[i][j];
    int b[n];
    for(int i=1;i<=n;i++)
        b[i]=0;
    for(int i=1;i<=n;i++)
    {
        for(int k=0;k<n-1;k++)
        {
            for(int j=0;j<2;j++)
            {
                if(a[k][j]==i)
                    b[i]++;
            }
        }
    }
    sortiraj(b,n);
    int s=b[1];
    int t=0;
    for(int i=3;i<=n;i+=2)
        t+=b[i];
    cout<<s-t<<endl;

    return 0;
}